function initCoord() {
 var coordg = document.getElementById("coord");
 var dim = coordg.getAttributeNS("http://frankbruder.fr.ohost.de/FeSVG", "dim").split(/\s*[\s,]\s*/);
 for(var k = 0; k < dim.length; k++) {
  dim[k] = parseFloat(dim[k]);
 }
 var dimx = dim[0], dimy = (dim.length>1) ? dim[1] : dimx;

 var step;
 if(coordg.hasAttributeNS("http://frankbruder.fr.ohost.de/FeSVG", "step")) {
  step = coordg.getAttributeNS("http://frankbruder.fr.ohost.de/FeSVG", "step").split(/\s*[\s,]\s*/);
  for(var k = 0; k < step.length; k++) {
   step[k] = parseFloat(step[k]);
  }
 } else {
  step = new Array(5, 5);
 }
 var stepx = step[0], stepy = (step.length>1) ? step[1] : stepx;

 var node;
 for(var k = 1; k <= dimy; k++) {
  node = document.createElementNS("http://www.w3.org/2000/svg", "line");
  node.setAttributeNS(null, "x1", "0");
  node.setAttributeNS(null, "x2", "-0.25");
  node.setAttributeNS(null, "y1", ""+k);
  node.setAttributeNS(null, "y2", ""+k);
  coordg.appendChild(node);
 }
 var offsety = -0.5;
 for(var k = 0; k <= dimy; k += stepy) {
  node = document.createElementNS("http://www.w3.org/2000/svg", "text");
  node.setAttributeNS(null, "y", "0");
  node.setAttributeNS(null, "x", "0");
  node.setAttributeNS(null, "text-anchor", "middle");
  node.setAttributeNS(null, "font-size", "0.5px");
  node.setAttributeNS(null, "stroke", "none");
  node.appendChild(document.createTextNode(""+k));
  coordg.appendChild(node);
  if(k==0) {
   var bbox = node.getBBox();
   offsety += (bbox.y+bbox.width);
   offsety = ""+offsety;
  }
  node.setAttributeNS(null, "transform", "translate("+offsety+" "+k+") rotate(90) scale(1 -1)");
 }
 node = document.createElementNS("http://www.w3.org/2000/svg", "line");
 node.setAttributeNS(null, "x1", "0");
 node.setAttributeNS(null, "x2", "0");
 node.setAttributeNS(null, "y1", "-0.5");
 node.setAttributeNS(null, "y2", ""+(dimy+0.5));
 coordg.appendChild(node);

 for(var k = 1; k <= dimx; k++) {
  node = document.createElementNS("http://www.w3.org/2000/svg", "line");
  node.setAttributeNS(null, "y1", "0");
  node.setAttributeNS(null, "y2", "-0.25");
  node.setAttributeNS(null, "x1", ""+k);
  node.setAttributeNS(null, "x2", ""+k);
  coordg.appendChild(node);
 }
 offsety = -0.5;
 for(var k = 0; k <= dimx; k += stepx) {
  node = document.createElementNS("http://www.w3.org/2000/svg", "text");
  node.setAttributeNS(null, "y", "0");
  node.setAttributeNS(null, "x", "0");
  node.setAttributeNS(null, "text-anchor", "middle");
  node.setAttributeNS(null, "font-size", "0.5px");
  node.setAttributeNS(null, "stroke", "none");
  node.appendChild(document.createTextNode(""+k));
  coordg.appendChild(node);
  if(k==0) {
   var bbox = node.getBBox();
   offsety += (bbox.y);
   offsety = ""+offsety;
  }
  node.setAttributeNS(null, "transform", "translate("+k+" "+offsety+") scale(1 -1)");
 }
 node = document.createElementNS("http://www.w3.org/2000/svg", "line");
 node.setAttributeNS(null, "y1", "0");
 node.setAttributeNS(null, "y2", "0");
 node.setAttributeNS(null, "x1", "-0.5");
 node.setAttributeNS(null, "x2", ""+(dimx+0.5));
 coordg.appendChild(node);
}
function init() {
 initCoord();
}